Redmine - Defect #19344

MySQL 5.6: IssueNestedSetConcurrencyTest#test_concurrency : always fails
2015-03-11 12:08 - Rupesh J

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 3.0.0

Description
Hello,

When | run rake test:units
| always get this test failure. Can you please correct this.

1) Failure:

IssueNestedSetConcurrencyTest#test_concurrency [E:/REDMINE/DEV3.0/redmine/test/unit/issue_nested_s
et_concurrency_test.rb:45]:

Expected "Mysqgl2::Error: Deadlock found when trying to get lock; try restarting transaction: SELEC
T “issues’ . id’ FROM "issues’ WHERE (root_id IN (SEL

ECT root_id FROM issues WHERE id IN (390,388))) ORDER BY "issues . id’ ASC FOR UPDATE" to be nil.

Redmine : 3.0.0

MySql :5.6.14

Thanks.

Related issues:

Related to Redmine - Feature #17460: MySQL 5.7 support Closed

Related to Redmine - Feature #19395: Support MariaDB New

Related to Redmine - Defect #6579: Tree hierachy being currupted on multiple ... Closed 2010-10-05
Related to Redmine - Defect #23318: #lock_nested_set very slow on mysql with ... Closed

Related to Redmine - Defect #39437: MySQL / MariaDB issue nested set deadlock... Closed

Has duplicate Redmine - Defect #23942: Test: Mysql2::Error: Deadlock found wh... Closed

Associated revisions

Revision 14077 - 2015-03-14 07:31 - Toshi MARUYAMA
add MariaDB 10.0 environment to travis (#17460, #19344)

Revision 14085 - 2015-03-14 11:16 - Toshi MARUYAMA
add MySQL 5.6 and 5.7 environments to travis (#17460, #19344)

Revision 14128 - 2015-03-17 00:20 - Toshi MARUYAMA
add MariaDB 5.5 environment to travis (#17460, #19344, #19395)

History

#1 - 2015-03-11 12:54 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| cannot reproduce on my Windows 8.1 Pro.

® 55.40 - MySQL Community Server (GPL)
e ruby 1.9.3p551 (2014-11-13) [i386-mingw32]
¢ mysql2 (0.3.18-x86-mingw32)

#2 - 2015-03-11 12:59 - Toshi MARUYAMA
- Category set to Database
- Status changed from Needs feedback to New
#17460#note-7

it does not pass the issue concurrency test (dead locks) ...

#3 - 2015-03-11 13:03 - Toshi MARUYAMA

- Subject changed from IssueNestedSetConcurrency Test#test_concurrency : Always fails on standard redmine installation. to MySQL : 5.6:
IssueNestedSetConcurrencyTest#test_concurrency : always fails

#4 - 2015-03-11 13:04 - Toshi MARUYAMA

- Subject changed from MySQL : 5.6: IssueNestedSetConcurrency Test#test _concurrency : always fails to MySQL 5.6:
IssueNestedSetConcurrencyTest#test_concurrency : always fails

#5 - 2015-03-11 13:04 - Toshi MARUYAMA
- Related to Feature #17460: MySQL 5.7 support added

#6 - 2015-03-17 13:25 - Toshi MARUYAMA
This test fails on MariaDB 5.5, too.
On my CentOS7:

$ rpm —-g mariadb
mariadb-5.5.41-2.e17_0.x86_64

#7 - 2015-03-17 13:26 - Toshi MARUYAMA
- Related to Feature #19395: Support MariaDB added

#8 - 2016-03-16 05:05 - Toshi MARUYAMA

- Related to Defect #6579: Tree hierachy being currupted on multiple submissions of an issue added

#9 - 2016-09-27 15:35 - Toshi MARUYAMA
- Has duplicate Defect #23942: Test: Mysql2::Error: Deadlock found when trying to get lock added

#10 - 2016-10-09 06:49 - Toshi MARUYAMA
- Related to Defect #23318: #lock_nested_set very slow on mysql with thousands of subtasks added

#11 - 2021-10-04 15:51 -C S
Since MySQL 5.6 was set as EOL in February 2021, it would make sense to stop supporting it, right?

#12 - 2021-10-04 15:51 -C S
Is this Since MySQL 5.6 was set as EOL in February 2021, it would make sense to stop supporting it, right?

#13 - 2023-10-31 15:36-C S

There are any news?

#14 - 2023-11-01 00:54 - Go MAEDA
- Related to Defect #39437: MySQL / MariaDB issue nested set deadlocks and consistency added

#15 - 2023-11-01 07:38 - Marius BALTEANU

C S wrote in #note-13:

There are any news?

Only those from #39437.
https://www.redmine.org/issues/17460#note-7
https://www.redmine.org/issues/39437

#16 - 2023-11-20 23:49 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Duplicate

This issue is fixed in the upcoming Redmine 5.1.1 (it will be released soon) and 6.0.0, but it may require some changes to the database settings,
please see all the comments from #39437 and the MySQL _configuration page.

I'm closing this as duplicate.
https://www.redmine.org/versions/191
https://www.redmine.org/versions/175
https://www.redmine.org/issues/39437
https://www.redmine.org/projects/redmine/wiki/MySQL_configuration
http://www.tcpdf.org

